# PathFindingContext (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.util.pathfinding
Interface PathFindingContext

All Known Implementing Classes:
  AStarPathFinder, NavMeshBuilder, NavMeshTest

    public interface PathFindingContext

The context describing the current path finding state

Author:
  kevin

Method Summary
`Mover` `getMover()` Get the object being moved along the path if any
`int` `getSearchDistance()` Get the distance that has been searched to reach this point
`int` `getSourceX()` Get the x coordinate of the source location
`int` `getSourceY()` Get the y coordinate of the source location

Method Detail

### getMover

    Mover getMover()

  Get the object being moved along the path if any

  Returns:
    The object being moved along the path

### getSourceX

    int getSourceX()

  Get the x coordinate of the source location

  Returns:
    The x coordinate of the source location

### getSourceY

    int getSourceY()

  Get the y coordinate of the source location

  Returns:
    The y coordinate of the source location

### getSearchDistance

    int getSearchDistance()

  Get the distance that has been searched to reach this point

  Returns:
    The distance that has been search to reach this point

Copyright © 2006 New Dawn Software. All Rights Reserved.